# Uses of Interface
org.apache.cxf.transport.ConduitInitiator

Packages that use ConduitInitiator
Package
Description
org.apache.cxf.bus.managers
org.apache.cxf.endpoint
org.apache.cxf.transport

- ## Uses of ConduitInitiator in org.apache.cxf.bus.managers

  Methods in org.apache.cxf.bus.managers that return ConduitInitiator
  Modifier and Type
  Method
  Description
  `ConduitInitiator`
  ConduitInitiatorManagerImpl.`getConduitInitiator(String namespace)`
  Returns the conduit initiator for the given namespace, constructing it (and storing in the cache for future reference) if necessary, using its list of factory classname to namespace mappings.
  `ConduitInitiator`
  ConduitInitiatorManagerImpl.`getConduitInitiatorForUri(String uri)`
  Methods in org.apache.cxf.bus.managers with parameters of type ConduitInitiator
  Modifier and Type
  Method
  Description
  `void`
  ConduitInitiatorManagerImpl.`registerConduitInitiator(String namespace, ConduitInitiator factory)`

- ## Uses of ConduitInitiator in org.apache.cxf.endpoint

  Methods in org.apache.cxf.endpoint with parameters of type ConduitInitiator
  Modifier and Type
  Method
  Description
  `protected Conduit`
  AbstractConduitSelector.`createConduit(Message message, Exchange exchange, ConduitInitiator conduitInitiator)`

- ## Uses of ConduitInitiator in org.apache.cxf.transport

  Methods in org.apache.cxf.transport that return ConduitInitiator
  Modifier and Type
  Method
  Description
  `ConduitInitiator`
  ConduitInitiatorManager.`getConduitInitiator(String name)`
  Returns the `ConduitInitiator` registered with the specified name, loading the appropriate plugin if necessary.
  `ConduitInitiator`
  ConduitInitiatorManager.`getConduitInitiatorForUri(String uri)`
  Methods in org.apache.cxf.transport with parameters of type ConduitInitiator
  Modifier and Type
  Method
  Description
  `void`
  ConduitInitiatorManager.`registerConduitInitiator(String name, ConduitInitiator factory)`
  Associates a name, often a URI, with a `ConduitInitiator` when registering with the `Bus`'s `TransportRegistry`.